Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network41.167.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
41.167.0.0
Broadcast address
41.167.255.255
First usable
41.167.0.1
Last usable
41.167.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 29A70000 · Integer 698810368 to 698875903
Reverse DNS zone
167.41.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101001.10100111..00000000.0000000041.167.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network00101001.10100111..00000000.0000000041.167.0.0
Broadcast00101001.10100111..11111111.1111111141.167.255.255
Split into smaller subnets/25

41.167.0.0/16 makes 512 subnets of /25; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
141.167.0.0/2541.167.0.1 to 41.167.0.12641.167.0.127126
241.167.0.128/2541.167.0.129 to 41.167.0.25441.167.0.255126
341.167.1.0/2541.167.1.1 to 41.167.1.12641.167.1.127126
441.167.1.128/2541.167.1.129 to 41.167.1.25441.167.1.255126
541.167.2.0/2541.167.2.1 to 41.167.2.12641.167.2.127126
641.167.2.128/2541.167.2.129 to 41.167.2.25441.167.2.255126
741.167.3.0/2541.167.3.1 to 41.167.3.12641.167.3.127126
841.167.3.128/2541.167.3.129 to 41.167.3.25441.167.3.255126
941.167.4.0/2541.167.4.1 to 41.167.4.12641.167.4.127126
1041.167.4.128/2541.167.4.129 to 41.167.4.25441.167.4.255126
1141.167.5.0/2541.167.5.1 to 41.167.5.12641.167.5.127126
1241.167.5.128/2541.167.5.129 to 41.167.5.25441.167.5.255126
1341.167.6.0/2541.167.6.1 to 41.167.6.12641.167.6.127126
1441.167.6.128/2541.167.6.129 to 41.167.6.25441.167.6.255126
1541.167.7.0/2541.167.7.1 to 41.167.7.12641.167.7.127126
1641.167.7.128/2541.167.7.129 to 41.167.7.25441.167.7.255126
1741.167.8.0/2541.167.8.1 to 41.167.8.12641.167.8.127126
1841.167.8.128/2541.167.8.129 to 41.167.8.25441.167.8.255126
1941.167.9.0/2541.167.9.1 to 41.167.9.12641.167.9.127126
2041.167.9.128/2541.167.9.129 to 41.167.9.25441.167.9.255126
2141.167.10.0/2541.167.10.1 to 41.167.10.12641.167.10.127126
2241.167.10.128/2541.167.10.129 to 41.167.10.25441.167.10.255126
2341.167.11.0/2541.167.11.1 to 41.167.11.12641.167.11.127126
2441.167.11.128/2541.167.11.129 to 41.167.11.25441.167.11.255126
2541.167.12.0/2541.167.12.1 to 41.167.12.12641.167.12.127126
2641.167.12.128/2541.167.12.129 to 41.167.12.25441.167.12.255126
2741.167.13.0/2541.167.13.1 to 41.167.13.12641.167.13.127126
2841.167.13.128/2541.167.13.129 to 41.167.13.25441.167.13.255126
2941.167.14.0/2541.167.14.1 to 41.167.14.12641.167.14.127126
3041.167.14.128/2541.167.14.129 to 41.167.14.25441.167.14.255126
3141.167.15.0/2541.167.15.1 to 41.167.15.12641.167.15.127126
3241.167.15.128/2541.167.15.129 to 41.167.15.25441.167.15.255126
3341.167.16.0/2541.167.16.1 to 41.167.16.12641.167.16.127126
3441.167.16.128/2541.167.16.129 to 41.167.16.25441.167.16.255126
3541.167.17.0/2541.167.17.1 to 41.167.17.12641.167.17.127126
3641.167.17.128/2541.167.17.129 to 41.167.17.25441.167.17.255126
3741.167.18.0/2541.167.18.1 to 41.167.18.12641.167.18.127126
3841.167.18.128/2541.167.18.129 to 41.167.18.25441.167.18.255126
3941.167.19.0/2541.167.19.1 to 41.167.19.12641.167.19.127126
4041.167.19.128/2541.167.19.129 to 41.167.19.25441.167.19.255126
4141.167.20.0/2541.167.20.1 to 41.167.20.12641.167.20.127126
4241.167.20.128/2541.167.20.129 to 41.167.20.25441.167.20.255126
4341.167.21.0/2541.167.21.1 to 41.167.21.12641.167.21.127126
4441.167.21.128/2541.167.21.129 to 41.167.21.25441.167.21.255126
4541.167.22.0/2541.167.22.1 to 41.167.22.12641.167.22.127126
4641.167.22.128/2541.167.22.129 to 41.167.22.25441.167.22.255126
4741.167.23.0/2541.167.23.1 to 41.167.23.12641.167.23.127126
4841.167.23.128/2541.167.23.129 to 41.167.23.25441.167.23.255126
4941.167.24.0/2541.167.24.1 to 41.167.24.12641.167.24.127126
5041.167.24.128/2541.167.24.129 to 41.167.24.25441.167.24.255126
5141.167.25.0/2541.167.25.1 to 41.167.25.12641.167.25.127126
5241.167.25.128/2541.167.25.129 to 41.167.25.25441.167.25.255126
5341.167.26.0/2541.167.26.1 to 41.167.26.12641.167.26.127126
5441.167.26.128/2541.167.26.129 to 41.167.26.25441.167.26.255126
5541.167.27.0/2541.167.27.1 to 41.167.27.12641.167.27.127126
5641.167.27.128/2541.167.27.129 to 41.167.27.25441.167.27.255126
5741.167.28.0/2541.167.28.1 to 41.167.28.12641.167.28.127126
5841.167.28.128/2541.167.28.129 to 41.167.28.25441.167.28.255126
5941.167.29.0/2541.167.29.1 to 41.167.29.12641.167.29.127126
6041.167.29.128/2541.167.29.129 to 41.167.29.25441.167.29.255126
6141.167.30.0/2541.167.30.1 to 41.167.30.12641.167.30.127126
6241.167.30.128/2541.167.30.129 to 41.167.30.25441.167.30.255126
6341.167.31.0/2541.167.31.1 to 41.167.31.12641.167.31.127126
6441.167.31.128/2541.167.31.129 to 41.167.31.25441.167.31.255126
6541.167.32.0/2541.167.32.1 to 41.167.32.12641.167.32.127126
6641.167.32.128/2541.167.32.129 to 41.167.32.25441.167.32.255126
6741.167.33.0/2541.167.33.1 to 41.167.33.12641.167.33.127126
6841.167.33.128/2541.167.33.129 to 41.167.33.25441.167.33.255126
6941.167.34.0/2541.167.34.1 to 41.167.34.12641.167.34.127126
7041.167.34.128/2541.167.34.129 to 41.167.34.25441.167.34.255126
7141.167.35.0/2541.167.35.1 to 41.167.35.12641.167.35.127126
7241.167.35.128/2541.167.35.129 to 41.167.35.25441.167.35.255126
7341.167.36.0/2541.167.36.1 to 41.167.36.12641.167.36.127126
7441.167.36.128/2541.167.36.129 to 41.167.36.25441.167.36.255126
7541.167.37.0/2541.167.37.1 to 41.167.37.12641.167.37.127126
7641.167.37.128/2541.167.37.129 to 41.167.37.25441.167.37.255126
7741.167.38.0/2541.167.38.1 to 41.167.38.12641.167.38.127126
7841.167.38.128/2541.167.38.129 to 41.167.38.25441.167.38.255126
7941.167.39.0/2541.167.39.1 to 41.167.39.12641.167.39.127126
8041.167.39.128/2541.167.39.129 to 41.167.39.25441.167.39.255126
8141.167.40.0/2541.167.40.1 to 41.167.40.12641.167.40.127126
8241.167.40.128/2541.167.40.129 to 41.167.40.25441.167.40.255126
8341.167.41.0/2541.167.41.1 to 41.167.41.12641.167.41.127126
8441.167.41.128/2541.167.41.129 to 41.167.41.25441.167.41.255126
8541.167.42.0/2541.167.42.1 to 41.167.42.12641.167.42.127126
8641.167.42.128/2541.167.42.129 to 41.167.42.25441.167.42.255126
8741.167.43.0/2541.167.43.1 to 41.167.43.12641.167.43.127126
8841.167.43.128/2541.167.43.129 to 41.167.43.25441.167.43.255126
8941.167.44.0/2541.167.44.1 to 41.167.44.12641.167.44.127126
9041.167.44.128/2541.167.44.129 to 41.167.44.25441.167.44.255126
9141.167.45.0/2541.167.45.1 to 41.167.45.12641.167.45.127126
9241.167.45.128/2541.167.45.129 to 41.167.45.25441.167.45.255126
9341.167.46.0/2541.167.46.1 to 41.167.46.12641.167.46.127126
9441.167.46.128/2541.167.46.129 to 41.167.46.25441.167.46.255126
9541.167.47.0/2541.167.47.1 to 41.167.47.12641.167.47.127126
9641.167.47.128/2541.167.47.129 to 41.167.47.25441.167.47.255126
9741.167.48.0/2541.167.48.1 to 41.167.48.12641.167.48.127126
9841.167.48.128/2541.167.48.129 to 41.167.48.25441.167.48.255126
9941.167.49.0/2541.167.49.1 to 41.167.49.12641.167.49.127126
10041.167.49.128/2541.167.49.129 to 41.167.49.25441.167.49.255126
10141.167.50.0/2541.167.50.1 to 41.167.50.12641.167.50.127126
10241.167.50.128/2541.167.50.129 to 41.167.50.25441.167.50.255126
10341.167.51.0/2541.167.51.1 to 41.167.51.12641.167.51.127126
10441.167.51.128/2541.167.51.129 to 41.167.51.25441.167.51.255126
10541.167.52.0/2541.167.52.1 to 41.167.52.12641.167.52.127126
10641.167.52.128/2541.167.52.129 to 41.167.52.25441.167.52.255126
10741.167.53.0/2541.167.53.1 to 41.167.53.12641.167.53.127126
10841.167.53.128/2541.167.53.129 to 41.167.53.25441.167.53.255126
10941.167.54.0/2541.167.54.1 to 41.167.54.12641.167.54.127126
11041.167.54.128/2541.167.54.129 to 41.167.54.25441.167.54.255126
11141.167.55.0/2541.167.55.1 to 41.167.55.12641.167.55.127126
11241.167.55.128/2541.167.55.129 to 41.167.55.25441.167.55.255126
11341.167.56.0/2541.167.56.1 to 41.167.56.12641.167.56.127126
11441.167.56.128/2541.167.56.129 to 41.167.56.25441.167.56.255126
11541.167.57.0/2541.167.57.1 to 41.167.57.12641.167.57.127126
11641.167.57.128/2541.167.57.129 to 41.167.57.25441.167.57.255126
11741.167.58.0/2541.167.58.1 to 41.167.58.12641.167.58.127126
11841.167.58.128/2541.167.58.129 to 41.167.58.25441.167.58.255126
11941.167.59.0/2541.167.59.1 to 41.167.59.12641.167.59.127126
12041.167.59.128/2541.167.59.129 to 41.167.59.25441.167.59.255126
12141.167.60.0/2541.167.60.1 to 41.167.60.12641.167.60.127126
12241.167.60.128/2541.167.60.129 to 41.167.60.25441.167.60.255126
12341.167.61.0/2541.167.61.1 to 41.167.61.12641.167.61.127126
12441.167.61.128/2541.167.61.129 to 41.167.61.25441.167.61.255126
12541.167.62.0/2541.167.62.1 to 41.167.62.12641.167.62.127126
12641.167.62.128/2541.167.62.129 to 41.167.62.25441.167.62.255126
12741.167.63.0/2541.167.63.1 to 41.167.63.12641.167.63.127126
12841.167.63.128/2541.167.63.129 to 41.167.63.25441.167.63.255126
12941.167.64.0/2541.167.64.1 to 41.167.64.12641.167.64.127126
13041.167.64.128/2541.167.64.129 to 41.167.64.25441.167.64.255126
13141.167.65.0/2541.167.65.1 to 41.167.65.12641.167.65.127126
13241.167.65.128/2541.167.65.129 to 41.167.65.25441.167.65.255126
13341.167.66.0/2541.167.66.1 to 41.167.66.12641.167.66.127126
13441.167.66.128/2541.167.66.129 to 41.167.66.25441.167.66.255126
13541.167.67.0/2541.167.67.1 to 41.167.67.12641.167.67.127126
13641.167.67.128/2541.167.67.129 to 41.167.67.25441.167.67.255126
13741.167.68.0/2541.167.68.1 to 41.167.68.12641.167.68.127126
13841.167.68.128/2541.167.68.129 to 41.167.68.25441.167.68.255126
13941.167.69.0/2541.167.69.1 to 41.167.69.12641.167.69.127126
14041.167.69.128/2541.167.69.129 to 41.167.69.25441.167.69.255126
14141.167.70.0/2541.167.70.1 to 41.167.70.12641.167.70.127126
14241.167.70.128/2541.167.70.129 to 41.167.70.25441.167.70.255126
14341.167.71.0/2541.167.71.1 to 41.167.71.12641.167.71.127126
14441.167.71.128/2541.167.71.129 to 41.167.71.25441.167.71.255126
14541.167.72.0/2541.167.72.1 to 41.167.72.12641.167.72.127126
14641.167.72.128/2541.167.72.129 to 41.167.72.25441.167.72.255126
14741.167.73.0/2541.167.73.1 to 41.167.73.12641.167.73.127126
14841.167.73.128/2541.167.73.129 to 41.167.73.25441.167.73.255126
14941.167.74.0/2541.167.74.1 to 41.167.74.12641.167.74.127126
15041.167.74.128/2541.167.74.129 to 41.167.74.25441.167.74.255126
15141.167.75.0/2541.167.75.1 to 41.167.75.12641.167.75.127126
15241.167.75.128/2541.167.75.129 to 41.167.75.25441.167.75.255126
15341.167.76.0/2541.167.76.1 to 41.167.76.12641.167.76.127126
15441.167.76.128/2541.167.76.129 to 41.167.76.25441.167.76.255126
15541.167.77.0/2541.167.77.1 to 41.167.77.12641.167.77.127126
15641.167.77.128/2541.167.77.129 to 41.167.77.25441.167.77.255126
15741.167.78.0/2541.167.78.1 to 41.167.78.12641.167.78.127126
15841.167.78.128/2541.167.78.129 to 41.167.78.25441.167.78.255126
15941.167.79.0/2541.167.79.1 to 41.167.79.12641.167.79.127126
16041.167.79.128/2541.167.79.129 to 41.167.79.25441.167.79.255126
16141.167.80.0/2541.167.80.1 to 41.167.80.12641.167.80.127126
16241.167.80.128/2541.167.80.129 to 41.167.80.25441.167.80.255126
16341.167.81.0/2541.167.81.1 to 41.167.81.12641.167.81.127126
16441.167.81.128/2541.167.81.129 to 41.167.81.25441.167.81.255126
16541.167.82.0/2541.167.82.1 to 41.167.82.12641.167.82.127126
16641.167.82.128/2541.167.82.129 to 41.167.82.25441.167.82.255126
16741.167.83.0/2541.167.83.1 to 41.167.83.12641.167.83.127126
16841.167.83.128/2541.167.83.129 to 41.167.83.25441.167.83.255126
16941.167.84.0/2541.167.84.1 to 41.167.84.12641.167.84.127126
17041.167.84.128/2541.167.84.129 to 41.167.84.25441.167.84.255126
17141.167.85.0/2541.167.85.1 to 41.167.85.12641.167.85.127126
17241.167.85.128/2541.167.85.129 to 41.167.85.25441.167.85.255126
17341.167.86.0/2541.167.86.1 to 41.167.86.12641.167.86.127126
17441.167.86.128/2541.167.86.129 to 41.167.86.25441.167.86.255126
17541.167.87.0/2541.167.87.1 to 41.167.87.12641.167.87.127126
17641.167.87.128/2541.167.87.129 to 41.167.87.25441.167.87.255126
17741.167.88.0/2541.167.88.1 to 41.167.88.12641.167.88.127126
17841.167.88.128/2541.167.88.129 to 41.167.88.25441.167.88.255126
17941.167.89.0/2541.167.89.1 to 41.167.89.12641.167.89.127126
18041.167.89.128/2541.167.89.129 to 41.167.89.25441.167.89.255126
18141.167.90.0/2541.167.90.1 to 41.167.90.12641.167.90.127126
18241.167.90.128/2541.167.90.129 to 41.167.90.25441.167.90.255126
18341.167.91.0/2541.167.91.1 to 41.167.91.12641.167.91.127126
18441.167.91.128/2541.167.91.129 to 41.167.91.25441.167.91.255126
18541.167.92.0/2541.167.92.1 to 41.167.92.12641.167.92.127126
18641.167.92.128/2541.167.92.129 to 41.167.92.25441.167.92.255126
18741.167.93.0/2541.167.93.1 to 41.167.93.12641.167.93.127126
18841.167.93.128/2541.167.93.129 to 41.167.93.25441.167.93.255126
18941.167.94.0/2541.167.94.1 to 41.167.94.12641.167.94.127126
19041.167.94.128/2541.167.94.129 to 41.167.94.25441.167.94.255126
19141.167.95.0/2541.167.95.1 to 41.167.95.12641.167.95.127126
19241.167.95.128/2541.167.95.129 to 41.167.95.25441.167.95.255126
19341.167.96.0/2541.167.96.1 to 41.167.96.12641.167.96.127126
19441.167.96.128/2541.167.96.129 to 41.167.96.25441.167.96.255126
19541.167.97.0/2541.167.97.1 to 41.167.97.12641.167.97.127126
19641.167.97.128/2541.167.97.129 to 41.167.97.25441.167.97.255126
19741.167.98.0/2541.167.98.1 to 41.167.98.12641.167.98.127126
19841.167.98.128/2541.167.98.129 to 41.167.98.25441.167.98.255126
19941.167.99.0/2541.167.99.1 to 41.167.99.12641.167.99.127126
20041.167.99.128/2541.167.99.129 to 41.167.99.25441.167.99.255126
20141.167.100.0/2541.167.100.1 to 41.167.100.12641.167.100.127126
20241.167.100.128/2541.167.100.129 to 41.167.100.25441.167.100.255126
20341.167.101.0/2541.167.101.1 to 41.167.101.12641.167.101.127126
20441.167.101.128/2541.167.101.129 to 41.167.101.25441.167.101.255126
20541.167.102.0/2541.167.102.1 to 41.167.102.12641.167.102.127126
20641.167.102.128/2541.167.102.129 to 41.167.102.25441.167.102.255126
20741.167.103.0/2541.167.103.1 to 41.167.103.12641.167.103.127126
20841.167.103.128/2541.167.103.129 to 41.167.103.25441.167.103.255126
20941.167.104.0/2541.167.104.1 to 41.167.104.12641.167.104.127126
21041.167.104.128/2541.167.104.129 to 41.167.104.25441.167.104.255126
21141.167.105.0/2541.167.105.1 to 41.167.105.12641.167.105.127126
21241.167.105.128/2541.167.105.129 to 41.167.105.25441.167.105.255126
21341.167.106.0/2541.167.106.1 to 41.167.106.12641.167.106.127126
21441.167.106.128/2541.167.106.129 to 41.167.106.25441.167.106.255126
21541.167.107.0/2541.167.107.1 to 41.167.107.12641.167.107.127126
21641.167.107.128/2541.167.107.129 to 41.167.107.25441.167.107.255126
21741.167.108.0/2541.167.108.1 to 41.167.108.12641.167.108.127126
21841.167.108.128/2541.167.108.129 to 41.167.108.25441.167.108.255126
21941.167.109.0/2541.167.109.1 to 41.167.109.12641.167.109.127126
22041.167.109.128/2541.167.109.129 to 41.167.109.25441.167.109.255126
22141.167.110.0/2541.167.110.1 to 41.167.110.12641.167.110.127126
22241.167.110.128/2541.167.110.129 to 41.167.110.25441.167.110.255126
22341.167.111.0/2541.167.111.1 to 41.167.111.12641.167.111.127126
22441.167.111.128/2541.167.111.129 to 41.167.111.25441.167.111.255126
22541.167.112.0/2541.167.112.1 to 41.167.112.12641.167.112.127126
22641.167.112.128/2541.167.112.129 to 41.167.112.25441.167.112.255126
22741.167.113.0/2541.167.113.1 to 41.167.113.12641.167.113.127126
22841.167.113.128/2541.167.113.129 to 41.167.113.25441.167.113.255126
22941.167.114.0/2541.167.114.1 to 41.167.114.12641.167.114.127126
23041.167.114.128/2541.167.114.129 to 41.167.114.25441.167.114.255126
23141.167.115.0/2541.167.115.1 to 41.167.115.12641.167.115.127126
23241.167.115.128/2541.167.115.129 to 41.167.115.25441.167.115.255126
23341.167.116.0/2541.167.116.1 to 41.167.116.12641.167.116.127126
23441.167.116.128/2541.167.116.129 to 41.167.116.25441.167.116.255126
23541.167.117.0/2541.167.117.1 to 41.167.117.12641.167.117.127126
23641.167.117.128/2541.167.117.129 to 41.167.117.25441.167.117.255126
23741.167.118.0/2541.167.118.1 to 41.167.118.12641.167.118.127126
23841.167.118.128/2541.167.118.129 to 41.167.118.25441.167.118.255126
23941.167.119.0/2541.167.119.1 to 41.167.119.12641.167.119.127126
24041.167.119.128/2541.167.119.129 to 41.167.119.25441.167.119.255126
24141.167.120.0/2541.167.120.1 to 41.167.120.12641.167.120.127126
24241.167.120.128/2541.167.120.129 to 41.167.120.25441.167.120.255126
24341.167.121.0/2541.167.121.1 to 41.167.121.12641.167.121.127126
24441.167.121.128/2541.167.121.129 to 41.167.121.25441.167.121.255126
24541.167.122.0/2541.167.122.1 to 41.167.122.12641.167.122.127126
24641.167.122.128/2541.167.122.129 to 41.167.122.25441.167.122.255126
24741.167.123.0/2541.167.123.1 to 41.167.123.12641.167.123.127126
24841.167.123.128/2541.167.123.129 to 41.167.123.25441.167.123.255126
24941.167.124.0/2541.167.124.1 to 41.167.124.12641.167.124.127126
25041.167.124.128/2541.167.124.129 to 41.167.124.25441.167.124.255126
25141.167.125.0/2541.167.125.1 to 41.167.125.12641.167.125.127126
25241.167.125.128/2541.167.125.129 to 41.167.125.25441.167.125.255126
25341.167.126.0/2541.167.126.1 to 41.167.126.12641.167.126.127126
25441.167.126.128/2541.167.126.129 to 41.167.126.25441.167.126.255126
25541.167.127.0/2541.167.127.1 to 41.167.127.12641.167.127.127126
25641.167.127.128/2541.167.127.129 to 41.167.127.25441.167.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses